using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class SuperSpecialPlayertrigger : MonoBehaviour {


	// Use this for initialization
	void Start () {
	

	}
	
	// Update is called once per frame
	void Update () {
	
		//print (collider2D.bounds);

	}
	

	void OnTriggerEnter2D(Collider2D col){

		if(col.gameObject.layer == LayerMask.NameToLayer("Light")){

		








		}

	}

	void OnTriggerExit2D(Collider2D col){

		bool matchFlag = false;

		if(col.gameObject.layer == LayerMask.NameToLayer("Light")){

			

			if(matchFlag){

				//keep collider trigger on


			}else{

				//turn collider trigger off
				col.isTrigger = false;
				col.renderer.enabled = true;

			}


			

		}

	}

	void OnTriggerStay2D(Collider2D col){


	}
}
